Support » Plugin: AMP » AMP no longer validating

  • Resolved bringerllc

    (@bringerllc)


    I have the latest version of AMP plugin but I am now suddenly getting validation errors in Search Console and in the AMP test site.

    Using Standard mode. Has worked well until now.
    Theme: GeneratePress and also using the AMP For Generatepress plugin

    URL: bedst (dot) dk/stegepande-test/

    Any help is appreciated. thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Weston Ruter

    (@westonruter)

    Hi there. I’m seeing an issue with the new ESM (module) AMP scripts introduced in 2.1. I can see that you have:

    <script src="https://cdn.ampproject.org/v0/amp-analytics-0.1.mjs" async="" custom-element="amp-analytics" type="module" crossorigin="anonymous"></script>

    and:

    <script type="application/javascript" src="https://cdn.ampproject.org/v0/amp-analytics-0.1.js"></script>

    There is a problem with the latter: it is missing the nomodule attribute which the AMP plugin provides. This may be an issue with “breeze CACHE” which I see you have active.

    As a quick fix, I recommend turning off AMP module scripts. You can do so via this helper plugin: https://gist.github.com/westonruter/279bcb54336449ce55d8887fb0fcf5b9

    Plugin Support Milind More

    (@milindmore22)

    Hello @bringerllc

    Can you please download and install this mini compatibility plugin for breeze cache and let us know if that resolves your issue.

    Also, let me know if you face further issues.

    Plugin Support Bethany Chobanian Lang

    (@shetheliving)

    @bringerllc As we haven’t received a response, I’ll mark this as resolved. Feel free to open a new support topic if you continue to encounter issues, or reopen this topic and we’d be happy to assist. Thank you!

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.